View Issue Details

IDProjectCategoryView StatusLast Update
0004470SymmetricDSBugpublic2020-09-04 18:24
Reporterelong Assigned Topmarzullo  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.8.0 
Target Version3.10.13Fixed in Version3.10.13 
Summary0004470: Database name with special character like minus sign, fails to create trigger when in same database
DescriptionOn MySQL, the database name had a minus (-) sign in the name, which caused trigger creation to fail.

org.jumpmind.db.sql.SqlException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near
Steps To Reproducecreate database my-test;
Tagsdialect: mysql/mariadb

Relationships

related to 0004518 closedpmarzullo Database name with special character like minus sign, fails to create trigger when in same database 
related to 0004519 closedpmarzullo Database name with special character like minus sign, fails to create trigger when in same database 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 4360311b

2020-09-03 11:30:03

pmarzullo

Details Diff
0004470: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004470
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

SymmetricDS: 3.10 682054e1

2020-09-03 11:30:03

pmarzullo

Details Diff
0004470: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004470
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

SymmetricDS: 3.11 e028f113

2020-09-03 11:30:03

pmarzullo

Details Diff
0004470: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004470
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

SymmetricDS: 3.9 ed6bf6db

2020-09-04 09:29:40

pmarzullo

Details Diff
0004470: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004470
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

SymmetricDS: 3.10 ee78c330

2020-09-04 09:29:40

pmarzullo

Details Diff
0004470: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004470
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

SymmetricDS: 3.11 046a7b5a

2020-09-04 09:29:40

pmarzullo

Details Diff
0004470: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004470
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2020-07-09 12:01 elong New Issue
2020-07-09 12:01 elong Status new => assigned
2020-07-09 12:01 elong Assigned To => elong
2020-07-09 12:01 elong Tag Attached: dialect: mysql/mariadb
2020-09-03 15:17 pmarzullo Assigned To elong => pmarzullo
2020-09-03 15:20 pmarzullo Target Version 3.13.0 => 3.10.13
2020-09-03 15:21 pmarzullo Relationship added related to 0004518
2020-09-03 15:24 pmarzullo Relationship added related to 0004519
2020-09-03 15:55 pmarzullo Status assigned => resolved
2020-09-03 15:55 pmarzullo Resolution open => fixed
2020-09-03 15:55 pmarzullo Fixed in Version => 3.10.13
2020-09-03 16:00 pmarzullo Changeset attached => SymmetricDS 3.9 4360311b
2020-09-03 16:00 pmarzullo Changeset attached => SymmetricDS 3.10 682054e1
2020-09-03 16:00 pmarzullo Changeset attached => SymmetricDS 3.11 e028f113
2020-09-04 14:00 pmarzullo Changeset attached => SymmetricDS 3.9 ed6bf6db
2020-09-04 14:00 pmarzullo Changeset attached => SymmetricDS 3.10 ee78c330
2020-09-04 18:00 pmarzullo Changeset attached => SymmetricDS 3.11 046a7b5a
2020-09-04 18:24 pmarzullo Summary Database name with special character like minus sign, fails to create trigger => Database name with special character like minus sign, fails to create trigger when in same database